# class Chef::Mixin::Deprecation::DeprecatedInstanceVariable

### Public Class Methods

new(target, ivar_name, level=nil) click to toggle source

    # File lib/chef/mixin/deprecation.rb, line 63
    def initialize(target, ivar_name, level=nil)
      @target, @ivar_name = target, ivar_name
      @level ||= :warn
    end

### Public Instance Methods

inspect() click to toggle source

    # File lib/chef/mixin/deprecation.rb, line 73
    def inspect
      @target.inspect
    end

method_missing(method_name, *args, &block) click to toggle source

    # File lib/chef/mixin/deprecation.rb, line 68
    def method_missing(method_name, *args, &block)
      log_deprecation_msg(caller[0..3])
      @target.send(method_name, *args, &block)
    end